Subject: Re: [PATCH 4/5] powerpc: Add support for swiotlb on 32-bit

From: Scott Wood <[email-masked]>
Date: Mon, 20 Apr 2009 15:16:57 -0500

Kumar Gala wrote:
> I'm suggesting we do it one for FSL in fsl_soc.c, the 4xx guys can do it 
> once, etc.  Since the behavior desired is going to be a bit unique to 
> SoCs/chipsets.

Perhaps we should have a dma_mask in platform/of_platform device 
structs?  The driver knows best how many bits it can shove into a DMA 
address register, and it would let us avoid hardcoding 36 bits into this 
code.

What other platform-specific behavior do you have in mind?  Could we 
supply a default implementation that platforms can override if they need 
something weird, rather than duplicating it per soc family?

-Scott